/*---------------------------------------------------------------------------------
 bbWheelHook 0.0.2 ( 2006 nocd5)
 ----------------------------------------------------------------------------------
 bbWheelHook is a plugin for bbLean
 ----------------------------------------------------------------------------------
 bbWheelHook is free software, released under the GNU General Public License,
 version 2, as published by the Free Software Foundation.  It is distributed
 WITHOUT ANY WARRANTY--without even the implied warranty of MERCHANTABILITY
 or FITNESS FOR A PARTICULAR PURPOSE.  Please see the GNU General Public
 License for more details:  [http://www.fsf.org/licenses/gpl.html].
 --------------------------------------------------------------------------------*/


#ifndef _WIN32_WINNT
	#define _WIN32_WINNT 0x0500
#endif

#ifndef DLL_EXPORT
	#define DLL_EXPORT __declspec(dllexport)
#endif

#define WIN32_LEAN_AND_MEAN

// Blackbox messages
#define BB_REGISTERMESSAGE   10001
#define BB_UNREGISTERMESSAGE 10002
#define BB_RECONFIGURE       10103

#include <windows.h>
//-------------------------------------------------------------------------------------
LPCSTR szAppName	= "bbWheelHook";
LPCSTR szInfoVersion	= "0.0.2";
LPCSTR szInfoAuthor	= "nocd5";
LPCSTR szInfoRelDate	= "2006-11-19";
LPCSTR szInfoLink	= "";
LPCSTR szInfoEmail	= "";
LPCSTR szVersion	= "bbWheelHook 0.0.2";

extern "C"
{
	DLL_EXPORT void endPlugin(HINSTANCE);
	DLL_EXPORT int beginPlugin(HINSTANCE);
	DLL_EXPORT LPCSTR pluginInfo(int index);
};

//---------------------------------------------------------------------------------
HWND hPluginWnd;
HWND BBhWnd;
LRESULT CALLBACK WheelProc(int nCode, WPARAM wParam, LPARAM lParam);
void CALLBACK HookUninstall();
int bb_messages[] = {BB_RECONFIGURE, 0, 0};
LPCSTR pluginInfo(int field);
HHOOK g_hWHook = NULL;
//---------------------------------------------------------------------------------
